summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-11-25 19:44:38 +0000
committer Eric Hameleers <alien@slackware.com>2023-11-25 20:59:35 +0100
commitd39761cf9b4205e07a9f5f0f3540281299175c12 (patch)
tree16e17949ed0a60dd89747f18c00679cd5d3c5f31 /source
parent616339b7f26fafbbbcfd9f5e6282d1bce89e0f2a (diff)
downloadcurrent-d39761cf9b4205e07a9f5f0f3540281299175c12.tar.gz
current-d39761cf9b4205e07a9f5f0f3540281299175c12.tar.xz
Sat Nov 25 19:44:38 UTC 202320231125194438
a/shadow-4.14.2-x86_64-2.txz: Rebuilt. adduser: fixed chown syntax to silence warnings. Thanks to Stuart Winter. l/gi-docgen-2023.3-x86_64-1.txz: Added. Thanks to Heinz Wiesinger. l/python-smartypants-2.0.1-x86_64-1.txz: Added. Needed for gi-docgen. Thanks to Heinz Wiesinger. l/python-toml-0.10.2-x86_64-1.txz: Added. Needed for gi-docgen. Thanks to Heinz Wiesinger. l/python-typogrify-2.0.7-x86_64-1.txz: Added. Needed for gi-docgen. Thanks to Heinz Wiesinger. x/xdg-desktop-portal-1.18.2-x86_64-1.txz: Upgraded. Thanks to 0XBF. testing/packages/php-8.3.0-x86_64-1.txz: Added.
Diffstat (limited to 'source')
-rw-r--r--source/a/shadow/adduser10
-rwxr-xr-xsource/a/shadow/shadow.SlackBuild2
-rw-r--r--source/installer/ChangeLog.txt6
-rwxr-xr-xsource/installer/build_installer.sh6
-rwxr-xr-xsource/l/gi-docgen/gi-docgen.SlackBuild102
-rw-r--r--source/l/gi-docgen/gi-docgen.url1
-rw-r--r--source/l/gi-docgen/slack-desc19
-rwxr-xr-xsource/l/python-smartypants/python-smartypants.SlackBuild93
-rw-r--r--source/l/python-smartypants/python-smartypants.url1
-rw-r--r--source/l/python-smartypants/slack-desc19
-rwxr-xr-xsource/l/python-toml/python-toml.SlackBuild93
-rw-r--r--source/l/python-toml/python-toml.url1
-rw-r--r--source/l/python-toml/slack-desc19
-rw-r--r--source/l/python-typogrify/jinja-3.1.patch45
-rwxr-xr-xsource/l/python-typogrify/python-typogrify.SlackBuild96
-rw-r--r--source/l/python-typogrify/python-typogrify.url1
-rw-r--r--source/l/python-typogrify/slack-desc19
-rwxr-xr-xsource/x/xdg-desktop-portal/xdg-desktop-portal.SlackBuild48
18 files changed, 550 insertions, 31 deletions
diff --git a/source/a/shadow/adduser b/source/a/shadow/adduser
index 49c11f87a..834b34ada 100644
--- a/source/a/shadow/adduser
+++ b/source/a/shadow/adduser
@@ -1,7 +1,7 @@
#!/bin/bash
#
# Copyright 1995 Hrvoje Dogan, Croatia.
-# Copyright 2002-2004, 2008, 2009, 2010 Stuart Winter, Surrey, England, UK.
+# Copyright 2002-2004, 2008, 2009, 2010, 2023 Stuart Winter, Surrey, England, UK.
# Copyright 2004, 2008-2010 Slackware Linux, Inc., Concord, CA, USA
# Copyright 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
@@ -30,12 +30,14 @@
# Author : Stuart Winter <mozes@slackware.com>
# Based on the original Slackware adduser by Hrvoje Dogan
# with modifications by Patrick Volkerding
-# Version: 1.16
+# Version: 1.18
##########################################################################
# Usage..: adduser [<new_user_name>]
##########################################################################
# History #
###########
+# v1.18 - 2023-11-25
+# * chown: use new format for supplying user:group.
# v1.17 - 2019-04-01
# * Re-invoking input requests when human error causes failure. <ttk>
# qv: https://www.linuxquestions.org/questions/slackware-14/adduser-shell-script-error-4175650984/
@@ -329,7 +331,7 @@ while [ ! -z "$needinput" ]; do
if [ "$(echo $getyn | grep -i "n")" ]; then
unset needinput
# You're most likely going to only do this if you have the dir *mounted* for this user's $HOME
- getyn="$(get_input " Do you want to chown $LOGIN.$( echo $GID | awk '{print $2}') $HME ? (y/N) ")"
+ getyn="$(get_input " Do you want to chown ${LOGIN}:$( echo $GID | awk '{print $2}') $HME ? (y/N) ")"
if [ "$(echo $getyn | grep -i "y")" ]; then
CHOWNHOMEDIR=$HME # set this to the home directory
fi
@@ -423,7 +425,7 @@ fi
# chown the home dir? We can only do this once the useradd has
# completed otherwise the user name doesn't exist.
if [ ! -z "${CHOWNHOMEDIR}" ]; then
- chown "$LOGIN"."$( echo $GID | awk '{print $2}')" "${CHOWNHOMEDIR}"
+ chown "${LOGIN}":"$( echo $GID | awk '{print $2}')" "${CHOWNHOMEDIR}"
fi
# Set the finger information
diff --git a/source/a/shadow/shadow.SlackBuild b/source/a/shadow/shadow.SlackBuild
index bcee8f9ee..3f624a978 100755
--- a/source/a/shadow/shadow.SlackBuild
+++ b/source/a/shadow/shadow.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=shadow
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/installer/ChangeLog.txt b/source/installer/ChangeLog.txt
index 21fef9ef3..4281c0f71 100644
--- a/source/installer/ChangeLog.txt
+++ b/source/installer/ChangeLog.txt
@@ -1,3 +1,9 @@
+Sat Nov 25 17:21:48 UTC 2023
+ Added /usr/libexec/nfsrahead from nfs-utils package to fix error:
+ udevd[452]: failed to execute '/usr/libexec/nfsrahead'
+ '/usr/libexec/nfsrahead 254:0': No such file or directory
+ Thanks to Brent Earl.
++--------------------------+
Wed Nov 8 21:01:19 UTC 2023
Include the original keymaps from the kbd package, as well as the official
loadkeys binary and supporting libraries. Some keymaps seem to get broken
diff --git a/source/installer/build_installer.sh b/source/installer/build_installer.sh
index e4044ca65..5b317ca59 100755
--- a/source/installer/build_installer.sh
+++ b/source/installer/build_installer.sh
@@ -1441,11 +1441,15 @@ cp -fa${VERBOSE1} \
chmod 755 $PKG/$ARCH-installer-filesystem/etc/rc.d/rc.rpc
mkdir -p $PKG/$ARCH-installer-filesystem/var/state/rpcbind
-# Copy /etc/default/{nfs,rpc}:
+# NFS & RPC components:
cd $TMP/extract-packages/etc/default
cp -fa${VERBOSE1} \
nfs rpc \
$PKG/$ARCH-installer-filesystem/etc/default
+cd $TMP/extract-packages/usr/libexec
+cp -fa${VERBOSE1} \
+ nfsrahead \
+ $PKG/$ARCH-installer-filesystem/usr/libexec
# Remove busybox symlinks for things that we have a real version of:
for prunedir in $PKG/$ARCH-installer-filesystem/usr/bin $PKG/$ARCH-installer-filesystem/usr/sbin ; do
diff --git a/source/l/gi-docgen/gi-docgen.SlackBuild b/source/l/gi-docgen/gi-docgen.SlackBuild
new file mode 100755
index 000000000..48cbea6af
--- /dev/null
+++ b/source/l/gi-docgen/gi-docgen.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/bash
+
+# Copyright 2022 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=gi-docgen
+VERSION=${VERSION:-$(echo gi-docgen-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python3 -m build --wheel --no-isolation || exit 1
+
+python3 -m installer --destdir "$PKG" dist/*.whl || exit 1
+
+mv $PKG/usr/share/man $PKG/usr/
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ *.md *.rst LICENSES PKG-INFO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n --prepend $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/gi-docgen/gi-docgen.url b/source/l/gi-docgen/gi-docgen.url
new file mode 100644
index 000000000..c98628d4d
--- /dev/null
+++ b/source/l/gi-docgen/gi-docgen.url
@@ -0,0 +1 @@
+https://download.gnome.org/sources/gi-docgen/
diff --git a/source/l/gi-docgen/slack-desc b/source/l/gi-docgen/slack-desc
new file mode 100644
index 000000000..af9751042
--- /dev/null
+++ b/source/l/gi-docgen/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gi-docgen: gi-docgen (Document generator for GObject-based libraries)
+gi-docgen:
+gi-docgen: GI-DocGen is a document generator for GObject-based libraries.
+gi-docgen: GObject is the base type system of the GNOME project. GI-Docgen
+gi-docgen: reuses the introspection data generated by GObject-based libraries
+gi-docgen: to generate the API reference of these libraries, as well as other
+gi-docgen: ancillary documentation.
+gi-docgen:
+gi-docgen: Homepage: https://gnome.pages.gitlab.gnome.org/gi-docgen/
+gi-docgen:
+gi-docgen:
diff --git a/source/l/python-smartypants/python-smartypants.SlackBuild b/source/l/python-smartypants/python-smartypants.SlackBuild
new file mode 100755
index 000000000..ddda2e3bb
--- /dev/null
+++ b/source/l/python-smartypants/python-smartypants.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/bash
+
+# Copyright 2022 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=python-smartypants
+VERSION=${VERSION:-$(echo smartypants.py-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "${ARCH}" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf smartypants.py-$VERSION
+tar xvf $CWD/smartypants.py-$VERSION.tar.?z || exit 1
+cd smartypants.py-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+python3 setup.py install --root=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ *.md *.rst LICENCE PKG-INFO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/python-smartypants/python-smartypants.url b/source/l/python-smartypants/python-smartypants.url
new file mode 100644
index 000000000..b5f82388b
--- /dev/null
+++ b/source/l/python-smartypants/python-smartypants.url
@@ -0,0 +1 @@
+https://github.com/leohemsted/smartypants.py/tags
diff --git a/source/l/python-smartypants/slack-desc b/source/l/python-smartypants/slack-desc
new file mode 100644
index 000000000..124a4f891
--- /dev/null
+++ b/source/l/python-smartypants/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+python-smartypants: python-smartypants (Translate ASCII characters to HTML entities)
+python-smartypants:
+python-smartypants: smartypants easily translates plain ASCII punctuation characters into
+python-smartypants: "smart" typographic punctuation HTML entities.
+python-smartypants:
+python-smartypants:
+python-smartypants:
+python-smartypants:
+python-smartypants:
+python-smartypants:
+python-smartypants:
diff --git a/source/l/python-toml/python-toml.SlackBuild b/source/l/python-toml/python-toml.SlackBuild
new file mode 100755
index 000000000..c6d2c6b8b
--- /dev/null
+++ b/source/l/python-toml/python-toml.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/bash
+
+# Copyright 2021 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=python-toml
+VERSION=${VERSION:-$(echo toml-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "${ARCH}" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf toml-$VERSION
+tar xvf $CWD/toml-$VERSION.tar.?z || exit 1
+cd toml-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+python3 setup.py install --root=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ *.md *.rst LICENSE PKG-INFO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/python-toml/python-toml.url b/source/l/python-toml/python-toml.url
new file mode 100644
index 000000000..bbadcf172
--- /dev/null
+++ b/source/l/python-toml/python-toml.url
@@ -0,0 +1 @@
+https://pypi.org/project/toml/#files
diff --git a/source/l/python-toml/slack-desc b/source/l/python-toml/slack-desc
new file mode 100644
index 000000000..bbd737456
--- /dev/null
+++ b/source/l/python-toml/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+python-toml: python-toml (Python library for parsing and creating TOML)
+python-toml:
+python-toml: A Python library for parsing and creating TOML.
+python-toml:
+python-toml:
+python-toml:
+python-toml:
+python-toml:
+python-toml:
+python-toml:
+python-toml:
diff --git a/source/l/python-typogrify/jinja-3.1.patch b/source/l/python-typogrify/jinja-3.1.patch
new file mode 100644
index 000000000..e45684d39
--- /dev/null
+++ b/source/l/python-typogrify/jinja-3.1.patch
@@ -0,0 +1,45 @@
+From 34b6e01b71afd6876bbd2ef7ad134d11d05c82a0 Mon Sep 17 00:00:00 2001
+From: Jordan Yelloz <jordan@yelloz.me>
+Date: Sat, 2 Apr 2022 11:29:31 -0600
+Subject: [PATCH] jinja_filters: Updated import for Jinja 3.1.
+
+Added some fallback imports just to reduce the possibility of breakage with
+users running the latest version of typogrify and older versions of Flask/Jinja
+for whatever reason.
+
+Jinja 3.1.x has removed the jinja2.Markup function which was deprecated in Jinja
+3.0.x.
+
+See:
+- https://jinja.palletsprojects.com/en/3.1.x/changes/#version-3-1-0
+- https://github.com/pallets/jinja/pull/1544
+
+(cherry picked from commit 279c6b6c9f3a8b1bd065960a0e0bbe73236d717f)
+---
+ typogrify/templatetags/jinja_filters.py | 7 +++++--
+ 1 file changed, 5 insertions(+), 2 deletions(-)
+
+diff --git a/typogrify/templatetags/jinja_filters.py b/typogrify/templatetags/jinja_filters.py
+index 0596c0b..d6e9b9e 100644
+--- a/typogrify/templatetags/jinja_filters.py
++++ b/typogrify/templatetags/jinja_filters.py
+@@ -1,6 +1,9 @@
+ from typogrify.filters import amp, caps, initial_quotes, smartypants, titlecase, typogrify, widont, TypogrifyError
+ from functools import wraps
+-import jinja2
++try:
++ from markupsafe import Markup
++except ImportError:
++ from jinja2 import Markup
+ from jinja2.exceptions import TemplateError
+
+
+@@ -18,7 +21,7 @@ def make_safe(f):
+ out = f(text)
+ except TypogrifyError as e:
+ raise TemplateError(e.message)
+- return jinja2.Markup(out)
++ return Markup(out)
+ wrapper.is_safe = True
+ return wrapper
+
diff --git a/source/l/python-typogrify/python-typogrify.SlackBuild b/source/l/python-typogrify/python-typogrify.SlackBuild
new file mode 100755
index 000000000..2a3b60afe
--- /dev/null
+++ b/source/l/python-typogrify/python-typogrify.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/bash
+
+# Copyright 2022 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=python-typogrify
+VERSION=${VERSION:-$(echo typogrify-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "${ARCH}" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf typogrify-$VERSION
+tar xvf $CWD/typogrify-$VERSION.tar.?z || exit 1
+cd typogrify-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Fix support for jinja 3.1
+zcat $CWD/jinja-3.1.patch.gz | patch -p1 --verbose || exit 1
+
+python3 setup.py install --root=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ *.md *.rst LICENCE PKG-INFO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/python-typogrify/python-typogrify.url b/source/l/python-typogrify/python-typogrify.url
new file mode 100644
index 000000000..161f10926
--- /dev/null
+++ b/source/l/python-typogrify/python-typogrify.url
@@ -0,0 +1 @@
+https://pypi.org/project/typogrify/#files
diff --git a/source/l/python-typogrify/slack-desc b/source/l/python-typogrify/slack-desc
new file mode 100644
index 000000000..6109939bf
--- /dev/null
+++ b/source/l/python-typogrify/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+python-typogrify: python-typogrify (Python library to enhance web typography)
+python-typogrify:
+python-typogrify: Typogrify provides a set of custom filters that automatically apply
+python-typogrify: various transformations to plain text in order to yield
+python-typogrify: typographically-improved HTML. While often used in conjunction with
+python-typogrify: Jinja and Django template systems, the filters can be used in any
+python-typogrify: environment.
+python-typogrify:
+python-typogrify:
+python-typogrify:
+python-typogrify:
diff --git a/source/x/xdg-desktop-portal/xdg-desktop-portal.SlackBuild b/source/x/xdg-desktop-portal/xdg-desktop-portal.SlackBuild
index b95dfb407..db782ccbf 100755
--- a/source/x/xdg-desktop-portal/xdg-desktop-portal.SlackBuild
+++ b/source/x/xdg-desktop-portal/xdg-desktop-portal.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2018 Vincent Batts <vbatts@hashbangbash.com>
-# Copyright 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2021, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -87,33 +87,31 @@ find . \
-exec chmod 644 {} \+
# Configure, build, and install:
-if [ ! -r configure ]; then
- if [ -x ./autogen.sh ]; then
- NOCONFIGURE=1 ./autogen.sh
- else
- autoreconf -vif
- fi
-fi
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --mandir=/usr/man \
- --infodir=/usr/info \
- --disable-static \
- --disable-libportal \
- --disable-geoclue \
- --with-systemd=no \
- --build=$ARCH-slackware-linux || exit 1
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Don't ship .la files:
-rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+ --buildtype=release \
+ -Dlibportal=disabled \
+ -Dflatpak-interfaces=disabled \
+ -Dgeoclue=disabled \
+ -Dsystemd=disabled \
+ -Dsandboxed-image-validation=false \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null